gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

XML database representation (used for import/export and in the default provider).

The Gda.XmlDatabase class allows programs to manage databases in XML format (the format used by libgda for importing/exporting databases). It contains functions to easily manage those XML files.

With this set of functions, applications can bypass the normal libgda operation mode (via Gda.Client to access data sources), and have a direct access to the data in the XML file.

GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void `` To be added a To be added
- Method
  System.Void To be added To be added
- Method
  Gda.Table ``

  Searches table and returns it.

  a a or null if not found. To be added
- Method
  System.Void

  Reloads the object from it's original place, discarding all changes that may have happened.

  To be added
- Method
  System.Boolean ``

  Saves the object to disk.

  a a To be added
- Method
  System.Void

  Emits the Event.

  To be added
- Constructor
  To be added
  a
  a
  To be added
- Constructor

  Default Constructor.

  a
  To be added
- Constructor
  To be added
  a
  a
  To be added
- Constructor
  To be added
  a
  a
  a
  To be added
- Constructor
  To be added
  a
  a
  a
  a
  a
  To be added
- Property
  System.String

  Gets / Sets the uri of the object.

  a

  This uri will be used when saving the XML Database.

- Property
  System.String

  Gets / Sets the user defined version of the object.

  a To be added
- Property
  System.String

  Gets the version of libGda used to create the object.

  a

  This version is the one that was used for saving the XML file last time it was saved. This value can only be "get" as it is an internal information related to the creation of the Gda.XmlDatabase object. To get the user defined database version, use the property instead.

- Property
  System.String

  Gets / Sets the name of the object.

  a To be added
- Property
  GLib.List

  Gets a list of all table names present in the database.

  a To be added
- Event
  System.EventHandler To be added To be added
- Method
  System.String To be added a To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.